org.apache.lucene.index

## Class SerialMergeScheduler

- java.lang.Object
- - org.apache.lucene.index.MergeScheduler
  - - org.apache.lucene.index.SerialMergeScheduler

-     public class SerialMergeScheduler
      extends MergeScheduler

  A `MergeScheduler` that simply does each merge sequentially, using the current thread.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SerialMergeScheduler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close this MergeScheduler.
    `void` | `merge(IndexWriter writer)` Just do the merges in sequence.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SerialMergeScheduler

          public SerialMergeScheduler()

  - ### Method Detail

    - #### merge

          public void merge(IndexWriter writer)
                     throws CorruptIndexException,
                            java.io.IOException

      Just do the merges in sequence. We do this "synchronized" so that even if the application is using multiple threads, only one merge may run at a time.
      Throws:
        `CorruptIndexException`
        `java.io.IOException`

    - #### close

          public void close()

      Description copied from class: `MergeScheduler`
      Close this MergeScheduler.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.